curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/lineItems/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"lineItem": {
"title": "<string>",
"assignDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"class": {
"sourcedId": "<string>"
},
"school": {
"sourcedId": "<string>"
},
"category": {
"sourcedId": "<string>"
},
"sourcedId": "<string>",
"status": "active",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"gradingPeriod": {
"sourcedId": "<string>"
},
"academicSession": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
]
}
}Get a specific Line Item on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Line item not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/lineItems/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"lineItem": {
"title": "<string>",
"assignDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"class": {
"sourcedId": "<string>"
},
"school": {
"sourcedId": "<string>"
},
"category": {
"sourcedId": "<string>"
},
"sourcedId": "<string>",
"status": "active",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"gradingPeriod": {
"sourcedId": "<string>"
},
"academicSession": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the line item
Comma-separated list of fields to include in the response
"sourcedId,name"
Successful response with the line item
Represents a line item.
Show child attributes